让阿里云支持ipv6(其他多数VPS通用)

LNMP昨天开始,微魔感冒发烧39度,还到医院挨了一针,很是可怜,今天也没什么心思再寻找促销了,顺便最近在重新再给微魔部落部署ipv6,就给大家再总结一下近期的心得吧。微魔之前曾经发过让Nginx支持ipv6的文章,当时操作的VPS是BuyVM的,这家支持原生(Native)的ipv6,所以不用多说,只需要提交一个tk,ipv6地址就帮你部署了,但是,像阿里云这样的VPS(不支持原生ipv6)该肿么办呢?好吧,不绕弯子了,大家可以通过HE.NET提供的Tunnel Broker这个所谓的ipv6的隧道间接的让自己的VPS支持ipv6。当然本文的方法很多朋友见过,高手勿笑~另外该方法普遍通用于其他的VPS~

让阿里云支持ipv6(其他多数VPS通用)

1.注册Tunnel broker(略去)

官网链接

2.创建通道“Create Regular Tunnel”,填写VPS的ip以及选择默认的隧道节点,点击Create Tunnel创建

填写ip都,如果出现“IP is a potential tunnel endpoint.”则证明可以添加ipv6隧道,一般隧道节点系统已经默认分配,但可以手动选择,大家可以根据自己的实际情况操作


3.到下一页面切换到Example configurations选项卡,如果你的VPS是centOS/Debian这些常见Linux的话,下拉菜单选择Linux-route2,出现了设置的命令,复制下来在,到自己的VPS上运行。

4.在自己VPS下运行如下命令,如能见到自己之前的ipv6的ip,如X:X:X:X::2即成功了~

ifconfig

5.之下的步骤就可以参照之前的文章进行了

为什么要执着于ipv6呢?倒不是什么深明大义的“大势所趋”,主要是造福个别还在校园网曾ipv6流量的在校大学生,希望在断网的时候,微魔部落也能成为一个无聊消遣的选择~


关注微魔公众号(猛击这里),妈妈再也不用担心你抢不到传家宝了!

微魔部落提示您:请注意不定时备份数据,预防不可控因素造成的数据丢失。

关于 微魔

小微魔,大智慧!
此条目发表在 VPS教程 分类目录,贴了 , , , , , , 标签。将固定链接加入收藏夹。

让阿里云支持ipv6(其他多数VPS通用)》有 11 条评论

  1. Andrew 说:

    这样的文章喜欢

  2. zhang 说:

    为什么我的阿里云还是不能使用he.net的ipv6呢?
    ifconfig后出现:
    he-ipv6 Link encap:IPv6-in-IPv4
    UP POINTOPOINT RUNNING NOARP MTU:1480 Metric:1
    RX packets:0 errors:0 dropped:0 overruns:0 frame:0
    TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
    collisions:0 txqueuelen:0
    RX bytes:0 (0.0 b) TX bytes:0 (0.0 b)

  3. Yichen wei 说:

    dhclient he-ipv6试试?

  4. Linda R Russell 说:

    执行modprobe ipv6时提示

    libkmod: ERROR ../libkmod/libkmod.c:505 kmod_lookup_alias_from_builtin_file: could not open builtin file ‘/lib/modules/2.6.32-32-pve/modules.builtin.bin’
    FATAL: Module ipv6 not found.

    在网上找了好久都没找到方法,能请教一下要怎么解决吗

发表评论

电子邮件地址不会被公开。 必填项已用*标注